Description

It would be really nice to allow filtering issues by their assigned issue category.

E.g.:

/issues. json?category_id=1234

Perhaps the filter could be expanded to allow matching string searches? Similar to when searching for sub-strings in custom fields.

/issues. json?category_id=~some-category-search-string

History

#1 - 2021-09-06 19:02 - Holger Just

- Status changed from New to Needs feedback

You can filter issues by their assigned numeric category_id right now. This should work exactly as shown in your first example. See Rest_lssues.

To get a list of possible category IDs, you can use the categories API first to fetch all categories and select the ones you are interested in to use in
your issue filter. This allows you to implement your second use-case with two queries.

In case this is not working for you, please provide more details, i.e. a reproducible data set, your specific query, and the exact behavior you are
seeing. If possible, please also provide full logs of the request.

#2 - 2021-09-07 18:40 - Aed Art

The only viable details | can deliver to you is that I'm using a Redmine version 4.x. Thus, not yet the latest version of Redmine.
Sadly, when | attempted to what you wrote, | received an unexpected list of issues, containing all the assigned categories and not just the one that |
was trying to filter by.

#3 - 2022-10-13 19:07 - Jon Schell

I'm using 4.2.1 and | have this problem. When querying the entire issue list for all projects, | can't filter by category. Also, when filtering a project
where that category doesn't exist, the query returns all issues.

The expected / desired behavior is that | can query either all projects or just one project with Category as a filter, and if the project doesn't have that
category, then it returns no issues.

2025-07-06 1/1



https://www.redmine.org/projects/redmine/wiki/Rest_Issues#Listing-issues
http://www.tcpdf.org

